Bug 241397 - converters/wkhtmltopdf: Adding libQt5WebKit.so:www/qt5-webkit to LIB_DEPENDS is completely superfluous
Summary: converters/wkhtmltopdf: Adding libQt5WebKit.so:www/qt5-webkit to LIB_DEPENDS ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-21 16:29 UTC by Raymond Quakkelaar
Modified: 2020-07-23 01:40 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raymond Quakkelaar 2019-10-21 16:29:18 UTC
Version: 0.12.5_5

Adding libQt5WebKit.so:www/qt5-webkit to LIB_DEPENDS is completely superfluos.
This depency would require installation of 112 additional ports in my setup!


Commenting out perfectly builds and runs on FreeBSD 11.3-RELEASE-P3
Comment 1 Kurt Jaeger freebsd_committer 2019-10-21 18:41:19 UTC
The failure was reported on HEAD:

http://beefy18.nyi.freebsd.org/data/head-amd64-default/p514745_s353743/logs/wkhtmltopdf-0.12.5_4.log
Comment 2 Raymond Quakkelaar 2019-10-21 19:14:07 UTC
Mine is the i386 build.

In my port files subdir there is an explicit mention of a qt file to download.

Like I said, commenting out the depency does NOT cause any build warning nor
runtime problem. Perhaps their problem originates somewhere else, but since I cannot seem to open the mentioned log link, can't shed any led light on it.

My bug report is merely a hint since I have the simple workaround of commenting out. But others might get into trouble with the extra dependency, that is why I mentioned it.
Comment 3 Dani 2019-10-22 07:04:35 UTC
(In reply to Raymond Quakkelaar from comment #0)

I can confirm. This installs 92 more packages, we definitely do not want.
The PKG builds and runs fine on FreeBSD 11.3/amd64.
Comment 4 Jan van Stekelenburg 2019-10-29 09:52:09 UTC
Fine without www/qt5-webkit on 12.0-RELEASE-p10 amd64 too.

Perhaps mark as broken or including the qt5-webkit dependency for HEAD ≥ 20191021 only?
Comment 5 commit-hook freebsd_committer 2020-07-23 01:35:07 UTC
A commit references this bug:

Author: pi
Date: Thu Jul 23 01:34:05 UTC 2020
New revision: 542904
URL: https://svnweb.freebsd.org/changeset/ports/542904

Log:
  converters/wkhtmltopdf: update 0.12.5 -> 0.12.6, fix build

  - remove dependency on www/qt5-webkit
  - BREAKING CHANGE: block local filesystem access by default
  - pet portlint

  PR:		243349, 248039, 247556, 241397
  Submitted by:	r.quakkelaar@quaras.nl
  Reported by:	ohartmann@walstatt.org, rs@bytecamp.net
  Reviewed by:	jonc@chen.org.nz, jhibbits
  Relnotes:	https://github.com/wkhtmltopdf/wkhtmltopdf/releases/tag/0.12.6

Changes:
  head/converters/wkhtmltopdf/Makefile
  head/converters/wkhtmltopdf/distinfo
  head/converters/wkhtmltopdf/files/patch-config.tests_unix_compile.test
  head/converters/wkhtmltopdf/files/patch-configure
  head/converters/wkhtmltopdf/files/patch-libcxx
  head/converters/wkhtmltopdf/files/patch-mkspecs_common_gcc-base.conf
  head/converters/wkhtmltopdf/files/patch-src__3rdparty__webkit__Source__JavaScriptCore__runtime__JSValueInlineMethods.h
  head/converters/wkhtmltopdf/files/patch-src__3rdparty__webkit__Source__JavaScriptCore__wtf__Atomics.h
  head/converters/wkhtmltopdf/files/patch-src__3rdparty__webkit__Source__WebKit__qt__QtWebKit.pro
  head/converters/wkhtmltopdf/pkg-plist
Comment 6 commit-hook freebsd_committer 2020-07-23 01:39:14 UTC
A commit references this bug:

Author: pi
Date: Thu Jul 23 01:39:03 UTC 2020
New revision: 542905
URL: https://svnweb.freebsd.org/changeset/ports/542905

Log:
  MFH: r542904

  converters/wkhtmltopdf: update 0.12.5 -> 0.12.6, fix build

  - remove dependency on www/qt5-webkit
  - BREAKING CHANGE: block local filesystem access by default
  - pet portlint

  PR:		243349, 248039, 247556, 241397
  Submitted by:	r.quakkelaar@quaras.nl
  Reported by:	ohartmann@walstatt.org, rs@bytecamp.net
  Reviewed by:	jonc@chen.org.nz, jhibbits
  Relnotes:	https://github.com/wkhtmltopdf/wkhtmltopdf/releases/tag/0.12.6
  Approved by:	portmgr (build fix blanket)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/converters/wkhtmltopdf/Makefile
  branches/2020Q3/converters/wkhtmltopdf/distinfo
  branches/2020Q3/converters/wkhtmltopdf/files/patch-config.tests_unix_compile.test
  branches/2020Q3/converters/wkhtmltopdf/files/patch-configure
  branches/2020Q3/converters/wkhtmltopdf/files/patch-libcxx
  branches/2020Q3/converters/wkhtmltopdf/files/patch-mkspecs_common_gcc-base.conf
  branches/2020Q3/converters/wkhtmltopdf/files/patch-src__3rdparty__webkit__Source__JavaScriptCore__runtime__JSValueInlineMethods.h
  branches/2020Q3/converters/wkhtmltopdf/files/patch-src__3rdparty__webkit__Source__JavaScriptCore__wtf__Atomics.h
  branches/2020Q3/converters/wkhtmltopdf/files/patch-src__3rdparty__webkit__Source__WebKit__qt__QtWebKit.pro
  branches/2020Q3/converters/wkhtmltopdf/pkg-plist